Description

When debugging with xdebug, a major difficulty is that in development and
functional tests, there are always two requests being executed: The main request
and a CLI request inside.

Now, most IDEs do not support the (optional) feature of multi-threaded PHP debugging,
effectively stopping the sub-request and also the main request in this case.

With this feature it's possible to change the XDEBUG remote port from 9000 to 9001, so that the subrequest can be debugged by
listening on port 9001.

Associated revisions
Revision cfa70692 - 2012-08-10 14:54 - Sebastian Kurfuerst

[FEATURE] Configurable CLI Subrequest environment variables

When debugging with xdebug, a major difficulty is that in development
and functional tests, there are always two requests being executed:
The main request and a CLI request inside.

Now, most IDEs do not support the (optional) feature of multi-threaded
PHP debugging, effectively stopping the sub-request and also the main
request in this case.

With this change it's possible to change xdebug configuration settings
for the CLI subrequests making it possible to debug them individually.
By default the remote port is now changed from 9000 to 9001 in
Development and Testing context. So you can debug the subrequest by
configuring your IDE to listen on port 9001.

Apart from that, this change allows you to set arbitrary environment
variables by adding entries to the
TYPO3.FLOW3.core.subRequestEnvironmentVariables setting.

Releases: 1.1, 1.2
Resolves: #39648

Change-Id: I83a60e8c730f58bc17e2df5f86e99d19bc7d553b
Revision b7b5dfdb - 2012-08-13 11:53 - Sebastian Kurfuerst

[FEATURE] Configurable CLI Subrequest environment variables

When debugging with xdebug, a major difficulty is that in development
and functional tests, there are always two requests being executed:
The main request and a CLI request inside.

Now, most IDEs do not support the (optional) feature of multi-threaded
PHP debugging, effectively stopping the sub-request and also the main
request in this case.

With this change it's possible to change xdebug configuration settings
for the CLI subrequests making it possible to debug them individually.
By default the remote port is now changed from 9000 to 9001 in
Development and Testing context. So you can debug the subrequest by
configuring your IDE to listen on port 9001.

Apart from that, this change allows you to set arbitrary environment
variables by adding entries to the
TYPO3.FLOW3.core.subRequestEnvironmentVariables setting.

Releases: 1.1, 1.2
Resolves: #39648

Change-Id: I83a60e8c730f58bc17e2df5f86e99d19bc7d553b

History
#1 - 2012-08-09 15:37 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13540

#2 - 2012-08-10 12:17 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13540

#3 - 2012-08-10 14:50 - Bastian Waidelich
- Tracker changed from Bug to Feature
- Subject changed from Make debugging using xdebug easier to Configurable CLI Subrequest environment variables

#4 - 2012-08-10 14:55 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/13540
#5 - 2012-08-11 16:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:cfa70692f78516d136d180598d0b689848ee0b4f.

#6 - 2012-08-13 11:54 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/13621

#7 - 2012-08-17 10:35 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved

Applied in changeset commit:b7b5dfdb36f37498e06173887b765cb4e1fb8d82.
